Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Customers
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
        POST
      • PUT (update) one customer
        PUT
      • GET a list of customers
        GET
      • GET one customer
        GET
      • DELETE a customer
        DELETE
      • POST (create) a batch of customers
        POST
      • PUT (update) a batch of customers
        PUT
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. Customers

GET one customer

GET
/clients/{clientno}/customers/{customerno}
Get details for one customer based on customerNo as path parameter

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK. The request succeeded
Headers

Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//customers/?userid&expand' \
--header 'Accept-Language;' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get customer response
{
    "clientNo": 2218,
    "accountNo": 500002,
    "customerNo": "543210",
    "name": "Owe Armstrong",
    "postalAddress": {
        "addressLine1": "C/O ARMchair industries",
        "addressLine2": "707 Arm street",
        "addressLine3": "Appartment 8",
        "postalCode": "1234",
        "cityName": "Oslo",
        "countryText": "Norway",
        "countryCode": "NO"
    },
    "postalReturnStatus": 100,
    "postalReturnDate": "2025-01-10",
    "customerCategory": "CONS",
    "emailAddressDocument": [
        "amili@testarmrest.no"
    ],
    "secondaryEmailAddress": [
        "amili@testarmrest.no"
    ],
    "phoneNo": "99887766",
    "secondaryPhoneNo": "99775533",
    "organizationNo": "984842252",
    "organizationNoScheme": "0192",
    "dateOfBirth": "1999-01-01",
    "yearOfBirth": 1999,
    "ssn": "01019921717",
    "ssnCountry": "NO",
    "informalName": "Oa",
    "customerGroupCode": "VIP",
    "priceNetOrGross": "B",
    "language": "no",
    "usingLanguage": "no",
    "currency": "NOK",
    "distribution": {
        "type": "M",
        "einvoiceCode": 0,
        "peppolEndpointId": "984842252",
        "peppolEndpointIdScheme": "0192"
    },
    "sellerReference": "VAA",
    "buyerReference": "OA",
    "bankAccountNo": "81501757329",
    "stopReminderUntil": "2026-12-31",
    "stopDebtCollectionUntil": "2026-12-31",
    "stopInterestCalcUntil": "2026-12-31",
    "efakturaBlockIds": [
        "12345678",
        "23456789",
        "34567890"
    ],
    "peppolBlockIds": [
        "987654321",
        "876543210",
        "976543210"
    ],
    "digipostBlockIds": [
        "owe.armstrong#6UY",
        "bill.lossius#8HM"
    ],
    "dueDays": 10,
    "vatLiable": true,
    "arRules": [
        "NoBalFwd"
    ],
    "naceCodes": [
        "G46.5.1",
        "G46.5.2"
    ],
    "districtCodes": [
        "SE",
        "SE1"
    ],
    "parentCustomerNo": "652389",
    "parentOrganizationNo": "936796702",
    "discountRate": 10,
    "activeStatusWeb": "Passive",
    "customerMessage": "Keep it up!",
    "limitAmount": 2000,
    "registrationStatusCode": "FICTITIOUS",
    "registrationStatusDate": "2025-03-06",
    "postalAddressChanged": "2014-11-13",
    "customerKid": "500221850000200000006",
    "balanceTotal": 1000
}
Modified at 2026-04-14 09:49:15
Previous
GET a list of customers
Next
DELETE a customer
Built with